Package org.apache.sling.launchpad.testservices.servlets

# Class CustomPostResponseCreatorImpl

java.lang.Object
org.apache.sling.launchpad.testservices.servlets.CustomPostResponseCreatorImpl

All Implemented Interfaces:
  `org.apache.sling.servlets.post.PostResponseCreator`

public class CustomPostResponseCreatorImpl extends Object implements org.apache.sling.servlets.post.PostResponseCreator
Sample implementation of the PostResponseCreator interface.

## Constructor Summary

Constructors
Constructor
Description
`CustomPostResponseCreatorImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.servlets.post.PostResponse`
`createPostResponse(org.apache.sling.api.SlingHttpServletRequest req)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomPostResponseCreatorImpl

public CustomPostResponseCreatorImpl()

## Method Details

### createPostResponse

public org.apache.sling.servlets.post.PostResponse createPostResponse(org.apache.sling.api.SlingHttpServletRequest req)

Specified by:
  `createPostResponse` in interface `org.apache.sling.servlets.post.PostResponseCreator`